Search By ID
Introduction
The API documentation describes the usage and input-output parameters for the global businesses API endpoint that allows fetching global business details using the curl command with various input parameters like country, state, and entityId, and provides JSON data output containing detailed information about the global business entity.
How to call the API
You will need to log in before sending the request. You are required to pass the access token received from the login call, as the authorization header in the request.
API Input Guidelines
Make sure you replace ..your-patron-id.. in the URL with the patronId that you receive from the login call and also make sure you pass in all the necessary input parameters in the correct format.
Sample CURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../globalbusinesses' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "fetchById",
"essentials": {
"country": "...country...",
"state": "...state...",
"entityId": "...entityId..."
}
}'Parameter | Data Type | Required | Description |
|---|---|---|---|
country | string | Yes | The country of the global business entity. |
state | string | Yes | The state of the global business entity. |
entityId | string | Yes | The unique ID of the global business entity. |
task | string | Yes | The specific task to perform. |
Sample Response
{
"result": {
"companyInformation": {
"companyName": "...companyName..."
"companyRegistrationNumber": "...companyRegistrationNumber..."
"companyAddress": "...companyAddress..."
"dateOfIncorporation": "...dateOfIncorporation..."
"companyStatus": "...companyStatus..."
"placeOfFormation": "...placeOfFormation..."
"companyType": "...companyType..."
},
"directorInformation": [{
"name": "...name...",
"designation": "...designation...",
"address": "...address..."
}],
"agentInformation": [
{
"registeredAgentName": "...registeredAgentName...",
"registeredOfficeStreetAddress":"...registeredOfficeStreetAddress...",
"registeredOfficeMailingAddress":
"...registeredOfficeMailingAddress..."
}
]
}
}Parameter Name | Data Type | Required | Description |
|---|---|---|---|
companyName | string | Yes | Name of the company |
companyRegistrationNumber | string | Yes | Registration number of the company |
companyAddress | string | Yes | Address of the company |
dateOfIncorporation | string | Yes | Date of incorporation of the company |
companyStatus | string | Yes | Status of the company |
placeOfFormation | string | Yes | Place of formation of the company |
companyType | string | Yes | Type of the company |
name | string | Yes | Name of the director |
designation | string | Yes | Designation of the director |
address | string | Yes | Address of the director |
registeredAgentName | string | Yes | Name of the registered agent |
registeredOfficeStreetAddress | string | Yes | Street address of the registered office |
registeredOfficeMailingAddress | string | Yes | The mailing address of the registered office |
The Supported Country Codes are listed below
Country Code | Country Name |
|---|---|
AT | Austria |
AU | Australia |
BE | Belgium |
BG | Bulgaria |
BY | Belarus |
CA | Canada |
CH | Switzerland |
CN | China |
CY | Cyprus |
CZ | Czech Republic |
DE | Germany |
DK | Denmark |
EE | Estonia |
ES | Spain |
FI | Finland |
FR | France |
GG | Guernsey |
GI | Gibraltar |
GL | Greenland |
GR | Greece |
HK | Hongkong |
HR | Croatia |
HU | Hungary |
ID | Indonesia |
IE | Ireland |
IN | India |
IT | Italy |
JE | Jersey |
JP | Japan |
KG | Kyrgyzstan |
KH | Cambodia |
LT | Lithuania |
LU | Luxembourg |
LV | Latvia |
ME | Montenegro |
MK | Macedonia |
MT | Malta |
NL | Netherlands |
NO | Norway |
NZ | New Zealand |
PL | Poland |
RO | Romania |
RS | Serbia |
RU | Russia |
SE | Sweden |
SG | Singapore |
SI | Slovenia |
SK | Slovakia |
TW | Taiwan |
UA | Ukraine |
UK | United Kingdom |
US | United States of America |
XK | Kosovo |
The Supported State Codes for US are listed below
State Code | State Name |
|---|---|
AK | Alaska |
AL | Alabama |
AR | Arkansas |
AZ | Arizona |
CA | California |
CO | Colorado |
CT | Connecticut |
DC | Washington DC |
DE | Delaware |
FL | Florida |
GA | Georgia |
HI | Hawaii |
IA | Iowa |
ID | Idaho |
IL | Illinois |
IN | Indiana |
KS | Kansas |
KY | Kentucky |
LA | Louisiana |
MA | Massachusetts |
MD | Maryland |
ME | Maine |
MI | Michigan |
MN | Minnesota |
MO | Missouri |
MS | Mississippi |
MT | Montana |
NC | North Carolina |
ND | North Dakota |
NH | New Hampshire |
NJ | New Jersey |
NM | New Mexico |
NV | Nevada |
NY | New York |
OH | Ohio |
OK | Oklahoma |
OR | Oregon |
PA | Pennsylvania |
RI | Rhode Island |
SC | South Carolina |
SD | South Dakota |
TX | Texas |
UT | Utah |
VA | Virginia |
WA | Washington |
WI | Wisconsin |
WV | West Virginia |
WY | Wyoming |

Error Parameter
CODE | DESCRIPTION | INTERPRETATION |
|---|---|---|
400 | Bad Request | Input Parameter has a missing required parameter or not a valid one. |
401 | Authorization Failed | Authorization token is invalid. |
500 | Internal Server Error | Internal error at Signzy, please contact support. |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].